GDCM: gdcm::IODEntry Class Reference

GDCM 3.2.7

Public Member Functions | Friends | List of all members
gdcm::IODEntry Class Reference

Class for representing a IODEntry. More...

`#include <gdcmIODEntry.h>`

## Public Member Functions
| IODEntry (const char *name="", const char *ref="", const char *inUsage="")
const char * | GetIE () const
const char * | GetName () const
const char * | GetRef () const
const char * | GetUsage () const
Usage::UsageType | GetUsageType () const
void | SetIE (const char *ie)
void | SetName (const char *name)
void | SetRef (const char *ref)
void | SetUsage (const char *inUsage)

## Friends
std::ostream & | operator<< (std::ostream &_os, const IODEntry &_val)

## Detailed Description

Class for representing a IODEntry.

Note
  A.1.3 IOD Module Table and Functional Group Macro Table This Section of each IOD defines in a tabular form the Modules comprising the IOD. The following information must be specified for each Module in the table:
  - The name of the Module or Functional Group
  - A reference to the Section in Annex C which defines the Module or Functional Group
  - The usage of the Module or Functional Group; whether it is:
  - Mandatory (see A.1.3.1) , abbreviated M
  - Conditional (see A.1.3.2) , abbreviated C
  - User Option (see A.1.3.3) , abbreviated U The Modules referenced are defined in Annex C. A.1.3.1 MANDATORY MODULES For each IOD, Mandatory Modules shall be supported per the definitions, semantics and requirements defined in Annex C. PS 3.3 - 2008 Page 96
  - Standard - A.1.3.2 CONDITIONAL MODULES Conditional Modules are Mandatory Modules if specific conditions are met. If the specified conditions are not met, this Module shall not be supported; that is, no information defined in that Module shall be sent. A.1.3.3 USER OPTION MODULES User Option Modules may or may not be supported. If an optional Module is supported, the Attribute Types specified in the Modules in Annex C shall be supported.

See also
  DictEntry

Examples
  TraverseModules.cxx.

## Constructor & Destructor Documentation

## ◆ IODEntry()

gdcm::IODEntry::IODEntry | ( | const char * | name = "",
|  | const char * | ref = "",
|  | const char * | inUsage = "" )
| inline

Referenced by operator<<.

## Member Function Documentation

## ◆ GetIE()

const char * gdcm::IODEntry::GetIE | ( |  | ) | const
| inline

## ◆ GetName()

const char * gdcm::IODEntry::GetName | ( |  | ) | const
| inline

## ◆ GetRef()

const char * gdcm::IODEntry::GetRef | ( |  | ) | const
| inline

Examples
  TraverseModules.cxx.

## ◆ GetUsage()

const char * gdcm::IODEntry::GetUsage | ( |  | ) | const
| inline

## ◆ GetUsageType()

Usage::UsageType gdcm::IODEntry::GetUsageType | ( |  | ) | const

## ◆ SetIE()

void gdcm::IODEntry::SetIE | ( | const char * | ie | ) |
| inline

## ◆ SetName()

void gdcm::IODEntry::SetName | ( | const char * | name | ) |
| inline

## ◆ SetRef()

void gdcm::IODEntry::SetRef | ( | const char * | ref | ) |
| inline

## ◆ SetUsage()

void gdcm::IODEntry::SetUsage | ( | const char * | inUsage | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const IODEntry & | _val )
| friend

References IODEntry().

The documentation for this class was generated from the following file:

- gdcmIODEntry.h